#include<cstdio>
using namespace std;
struct node{
	int dep,num;
}tr[100005];
int main()
{
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	int n,u,v;
	scanf("%d",&n);
	tr[1].dep=1;
	tr[1].num=1;
	for(int i=1;i<=n-1;i++){
		scanf("%d %d",&u,&v);
		
	}
	return 0;
	/*
	最后一年了。弱市弱选手没有实力，什么都不会，就止步于此啦。不后悔曾经走过这条路，
	也希望所有选择过 这条路的人，都能自信地走下去。
	再见，OI。 
	*/
}
